<?php 
$ids = '';
if(isset($data)) :
	$ids	 	= (isset($data->ids)) ? $data->ids : '' ;
	$status	 	= (isset($data->status)) ? $data->status : '' ;
endif;
$message = $data->message;
$current_user = wp_get_current_user();
$roles = $current_user->roles;
$role = array_shift( $roles ); 
if(!in_array($role,array('administrator','admin','owner'))) :
	$template_loader = new Listeo_Core_Template_Loader; 
	$template_loader->get_template_part( 'account/owner_only'); 
	return;
endif; 
?> 
<div class="row">
	

<div class="col-lg-12 col-md-12">

	<?php if( empty($ids) ) : ?>
		<?php if( $status == 'active') : ?>
		<div class="notification notice margin-bottom-20">
			<p><?php printf( _e( 'You haven\'t submitted any listings yet, you can add your first one <a href="%s">below</a>', 'listeo_core' ), get_permalink( get_option( 'listeo_submit_page' ) ) );	 ?></p>
		</div>
		<a href="<?php echo get_permalink( get_option( 'listeo_submit_page' ) ); ?>" class="margin-top-35 button"><?php esc_html_e('Submit New Listing','listeo_core'); ?></a>
		<?php else : ?>
			<div class="notification notice margin-bottom-20">
				<p><?php esc_html_e( 'You don\'t have any listings here', 'listeo_core' );	 ?></p>
			</div>
		<?php endif; ?>
	<?php else: ?>
		
	<?php if(!empty($message )) { echo $message; } ?>
	<div class="dashboard-list-box margin-top-0">
		<h4>
			<?php switch ($status) {
				case 'active':
					esc_html_e('Active Listings', 'listeo_core');
					break;
				case 'pending':
					esc_html_e('Pending Listings', 'listeo_core');
					break;
				case 'expired':
					esc_html_e('Expired Listings', 'listeo_core');
					break;
				
				default:
					esc_html_e('Active Listings', 'listeo_core');
					break;
			} ?>
		</h4>
		<ul>
		<?php 
			foreach ($ids as $listing_id) {
			$listing = get_post($listing_id); 
			?> 
			<li>
				<div class="list-box-listing">
					<div class="list-box-listing-img">
						<a href="<?php echo get_permalink( $listing ) ?>"><?php 
						if(has_post_thumbnail($listing_id)){ 
							echo get_the_post_thumbnail($listing_id,'listeo_core-preview');
						} else {
							$gallery = (array) get_post_meta( $listing_id, '_gallery', true );

							$ids = array_keys($gallery);
							if(!empty($ids[0]) && $ids[0] !== 0){ 
								$image_url = wp_get_attachment_image_url($ids[0],'listeo_core-preview'); 
							} else {
								$image_url = get_listeo_core_placeholder_image();
							}
							?>
							<img src="<?php echo esc_attr($image_url); ?>" alt="">
						<?php } ?></a>
					</div>
					<div class="list-box-listing-content">
						<div class="inner">
							<h3><?php echo get_the_title( $listing ); //echo listeo_core_get_post_status($listing_id) ?></h3>
							<span class="listing-address"><?php the_listing_address($listing); ?></span>
							<span class="expiration-date"><?php esc_html_e('Expiring: ','listeo_core'); ?> <?php echo listeo_core_get_expiration_date($listing_id); ?></span>
							<?php $rating = get_post_meta($listing_id, 'listeo-avg-rating', true);
							if(isset($rating) && $rating > 0 ) :  $rating_type = get_option('listeo_rating_type','star');
								if($rating_type == 'numerical') { ?>
			                        <div class="numerical-rating" data-rating="<?php $rating_value = esc_attr(round($rating,1)); printf("%0.1f",$rating_value); ?>">
			                    <?php } else { ?>
			                        <div class="star-rating" data-rating="<?php echo $rating; ?>">
			                    <?php } ?>
								<?php $number = get_comments_number($listing_id);  ?>
								<div class="rating-counter">(<?php printf( _n( '%s review', '%s reviews', $number,'listeo_core' ), number_format_i18n( $number ) );  ?>)</div>
							</div>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<div class="buttons-to-right">
					<?php
						$actions = array();

						switch ( $listing->post_status ) {
							case 'publish' :
								$actions['edit'] = array( 'label' => __( 'Edit', 'listeo_core' ), 'icon' => 'sl sl-icon-note', 'nonce' => false );
									$actions['hide'] = array( 'label' => __( 'Hide', 'listeo_core' ), 'icon' => 'eye-slash', 'nonce' => true );
								break;
							
							case 'pending_payment' :
							case 'pending' :
								
								$actions['edit'] = array( 'label' => __( 'Edit', 'listeo_core' ), 'icon' => 'pencil', 'nonce' => false );
								
							break;

							case 'expired' :
								
								$actions['renew'] = array( 'label' => __( 'Renew', 'listeo_core' ), 'icon' => 'refresh', 'nonce' => false );
								
							break;
						}

						$actions['delete'] = array( 'label' => __( 'Delete', 'listeo_core' ), 'icon' => 'sl sl-icon-close', 'nonce' => true );
						$actions           = apply_filters( 'listeo_core_my_listings_actions', $actions, $listing );

						foreach ( $actions as $action => $value ) {
							if($action == 'edit' || $action == 'renew'){
								$action_url = add_query_arg( array( 'action' => $action,  'listing_id' => $listing->ID ), get_permalink( get_option( 'listeo_submit_page' )) );
							} else {
								$action_url = add_query_arg( array( 'action' => $action,  'listing_id' => $listing->ID ) );
							}
							if ( $value['nonce'] ) {
								$action_url = wp_nonce_url( $action_url, 'listeo_core_my_listings_actions' );
							}
					
							echo '<a href="' . esc_url( $action_url ) . '" class="button gray ' . esc_attr( $action ) . ' listeo_core-dashboard-action-' . esc_attr( $action ) . '">';
							
							if(isset($value['icon']) && !empty($value['icon'])) {
								echo '<i class="'.$value['icon'].'"></i>';
							}

							 echo esc_html( $value['label'] ) . '</a>';
						}
					?>
				
				</div>
			</li>

		<?php } ?>
		</ul>
	</div>

	<?php if(get_option('listeo_submit_page')){ ?>
		<a href="<?php echo get_permalink( get_option( 'listeo_submit_page' ) ); ?>" class="margin-top-35 button"><?php esc_html_e('Submit New Listing','listeo_core'); ?></a>
	<?php } ?>
	
	<?php endif; ?>

</div>
</div>