<?php
/**
 * listing Submission Form
 */
if ( ! defined( 'ABSPATH' ) ) exit;
$current_user = wp_get_current_user();
$roles = $current_user->roles;
$role = array_shift( $roles ); 
if(!in_array($role,array('administrator','admin','owner'))) :
	$template_loader = new Listeo_Core_Template_Loader; 
	$template_loader->get_template_part( 'account/owner_only'); 
	return;
endif;

$fields = array();
if(isset($data)) :
	$fields	 	= (isset($data->fields)) ? $data->fields : '' ;
endif;
if(isset($_GET["action"])) {
	$form_type = $_GET["action"];
} else {
	$form_type = 'submit';
}

$packages = $data->packages;
$user_packages = $data->user_packages;

?>
<form method="post" id="package_selection">
<?php if ( $packages || $user_packages ) :
	$checked = 1;
	?>
	
		<?php if ( $user_packages ) : ?>
             <h4 class="headline centered margin-bottom-20"><strong><?php _e( 'Choose your Package', 'listeo_core' ); ?></strong></h4> 
			<ul class="products user-packages">
				<?php 
				foreach ( $user_packages as $key => $package ) :
					$package = listeo_core_get_package( $package );
					?>
					<li class="user-job-package">
					<input type="radio" <?php checked( $checked, 1 ); ?> name="package" value="user-<?php echo $key; ?>" id="user-package-<?php echo $package->get_id(); ?>" />
					<label for="user-package-<?php echo $package->get_id(); ?>"><?php echo $package->get_title(); ?>					<p>
						<?php
						if ( $package->get_limit() ) {
							printf( _n( 'You have %1$s listings posted out of %2$d', 'You have %1$s listings posted out of %2$d', $package->get_count(), 'listeo_core' ), $package->get_count(), $package->get_limit() );
						} else {
							printf( _n( 'You have %s listings posted', 'You have %s listings posted', $package->get_count(), 'listeo_core' ), $package->get_count() );
						}

						if ( $package->get_duration() ) {
							printf( ', ' . _n( 'listed for %s day', 'listed for %s days', $package->get_duration(), 'listeo_core' ), $package->get_duration() );
						}

						$checked = 0;
					?>
					</p></label>

				</li>
				<?php endforeach; ?>
			</ul>
		<?php endif; ?>

		<?php if ( $packages ) : ?>


			<h4 class="headline centered margin-bottom-25"><strong>
				<?php 
				if ( $user_packages ) : 
					esc_html_e('Or Purchase New Package','listeo_core'); 
				else:  
					esc_html_e( 'Choose Package', 'listeo_core' ); ?>
				<?php endif; ?>
			</strong></h4>
			<div class="clearfix"></div>
			<div class="pricing-container margin-top-30">
				
			<?php
			$counter = 0;
			foreach ( $packages as $key => $package ) :
				
				$product = wc_get_product( $package );
				if ( ! $product->is_type( array( 'listing_package' ) ) || ! $product->is_purchasable() ) {
					continue;
				}
				?>

				
				<div class="plan <?php echo ($product->is_featured()) ? 'featured' : '' ; ?>">
					<?php if( $product->is_featured() ) : ?>
						<div class="listing-badge">
							<span class="featured"><?php esc_html_e('Featured','listeo_core'); ?></span>
						</div>
					<?php endif; ?>

	                <div class="plan-price">

	                    <h3><?php echo $product->get_title();?></h3>
	                   	<span class="value"> <?php echo $product->get_price_html(); ?></span>
						<span class="period"><?php echo $product->get_short_description(); ?></span>
	                </div>

                <div class="plan-features">
                    <ul>
                        <?php 
                        $listingslimit = $product->get_limit();
                        if(!$listingslimit){
                            echo "<li>";
                             esc_html_e('Unlimited number of listings','listeo_core'); 
                             echo "</li>";
                        } else { ?>
                            <li>
                                <?php esc_html_e('This plan includes ','listeo_core'); printf( _n( '%d listing', '%s listings', $listingslimit, 'listeo_core' ) . ' ', $listingslimit ); ?>
                            </li>
                        <?php }
                        $duration = $product->get_duration();
                        if($duration > 0 ): ?>
                        <li>
                            <?php esc_html_e('Listings are visible ','listeo_core'); printf( _n( 'for %s day', 'for %s days', $product->get_duration(), 'listeo_core' ), $product->get_duration() ); ?>
                        </li>
                        <?php else : ?>
                        	<li>
                            <?php esc_html_e('Unlimited availability of listings','listeo_core');  ?>
                        </li>
                        <?php endif; ?>

                    </ul>
                    <?php 
                       
                    	echo $product->get_description();
                   
                    ?>
                    <div class="clearfix"></div>
                    <input type="radio" <?php if( !$user_packages && $counter==0) : ?> checked="checked" <?php endif; ?> name="package" value="<?php echo $product->get_id(); ?>" id="package-<?php echo $product->get_id(); ?>" />
                  	<label for="package-<?php echo $product->get_id(); ?>"><?php ($product->get_price()) ? esc_html_e('Buy this package','listeo_core') : esc_html_e('Choose this package','listeo_core');  ?></label>
                    
                </div>
            </div>

			<?php $counter++;
			endforeach; ?>
			</div>
		<?php endif; ?>
	</ul>
<?php else : ?>

	<p><?php _e( 'No packages found', 'listeo_core' ); ?></p>

<?php endif; ?>

<div class="submit-page">

	<p>
		<input type="hidden" 	name="listeo_core_form" value="<?php echo $data->form; ?>" />
		<input type="hidden" 	name="listing_id" value="<?php echo esc_attr( $data->listing_id ); ?>" />
		<input type="hidden" 	name="step" value="<?php echo esc_attr( $data->step ); ?>" />
		<button type="submit" name="continue"  class="button"><?php echo esc_attr( $data->submit_button_text ); ?> <i class="fa fa-arrow-circle-right"></i></button>

		
	</p>

</form>
</div>