<?php
/*
 * Recent project for Visual Composer
 *

 */

add_action( 'init', 'listings_integrateWithVC' );
function listings_integrateWithVC() {

  
  $choose_empty = array (__( '-Choose option-', 'listeo' ) => '',);
  vc_map( array(
    "name" => __("Listings", 'listeo'),
    "base" => "listings",
    'icon' => 'listeo_icon',
    'description' => __( 'listings list', 'listeo' ),
    "category" => __('Listeo',"listeo"),
    "params" => array(
        array(
          'type' => 'dropdown',
          'heading' => __( 'Style', 'listeo' ),
          'param_name' => 'style',
          'value' => array(
            __( 'List layout', 'listeo' )     => 'list',
            __( 'Grid layout', 'listeo' )     => 'grid',
            __( 'Grid compact', 'listeo' )     => 'grid-compact',
            
            ),
        ),   
        array(
          'type' => 'checkbox',
          'heading' => __( 'Top bar list elements (if applicable)', 'listeo' ),
          'param_name' => 'list_top_buttons',
          'value' => array(
            __( 'Layout switcher', 'listeo' ) => 'layout',
            __( 'Filters', 'listeo' ) => 'filters',
            __( 'Orderby', 'listeo' ) => 'order',
            __( 'Radius', 'listeo' ) => 'radius',
            ),
        ),

        //'filters|order|layout|radius',
        array(
          'type' => 'textfield',
          'heading' => __( 'Keyword', 'listeo' ),
          'param_name' => 'keyword',
          'description' => __( 'Search by keyword.', 'listeo' ),

        ),  
        array(
          'type' => 'textfield',
          'heading' => __( 'Location', 'listeo' ),
          'param_name' => 'location',
          'description' => __( 'Search by locaton.', 'listeo' ),

        ),   
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order by', 'listeo' ),
          'param_name' => 'orderby',
          'value' => array(
            __( 'Date', 'listeo' ) => 'date',
            __( 'ID', 'listeo' ) => 'ID',
            __( 'Author', 'listeo' ) => 'author',
            __( 'Title', 'listeo' ) => 'title',
            __( 'Modified', 'listeo' ) => 'modified',
            __( 'Random', 'listeo' ) => 'rand',
            __( 'Comment count', 'listeo' ) => 'comment_count',
            __( 'Menu order', 'listeo' ) => 'menu_order'
            ),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order', 'listeo' ),
          'param_name' => 'order',
          'value' => array(
            __( 'Descending', 'listeo' ) => 'DESC',
            __( 'Ascending', 'listeo' ) => 'ASC'
            ),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Elements to show', 'listeo' ),
          'param_name' => 'per_page',
          'value' => array(
            '4' => '4',
            '5' => '5',
            '6' => '6',
            '7' => '7',
            '8' => '8',
            '9' => '9',
            '10' => '10',
            '11' => '11',
            '12' => '12',
            ),

          'std' => '6'
        ), 
      
     

/*type*/
      array(
          'type' => 'checkbox',
          'heading' => __( 'Featured listings', 'listeo' ),
          'param_name' => 'featured',
          'description' => __( 'Show only featured listings.', 'listeo' )
        ),      
      array(
          'type' => 'custom_taxonomy_list_by_slug',
          'heading' => __( 'Listing Feature', 'listeo' ),
          'param_name' => 'tax-listing_feature',
          'taxonomy' => 'listing_feature',
          'description' => __( 'Show listings by feature.', 'listeo' )
        ),
      array(
            'type' => 'custom_taxonomy_list_by_slug',
            'heading' => __( 'Region', 'listeo' ),
            'param_name' => 'tax-region',
            'taxonomy' => 'region',
            'description' => __( 'Show listings from a region.', 'listeo' )
          ),
       array(
            'type' => 'custom_taxonomy_list_by_slug',
            'heading' => __( 'Listing Category', 'listeo' ),
            'param_name' => 'tax-listing_category',
            'taxonomy' => 'listing_category',
            'description' => __( 'Show listings from a selected category.', 'listeo' )
          ),
       array(
            'type' => 'custom_taxonomy_list_by_slug',
            'heading' => __( 'Service Category', 'listeo' ),
            'param_name' => 'tax-service_category',
            'taxonomy' => 'service_category',
            'description' => __( 'Show listings from a selected category.', 'listeo' )
          ),
       array(
            'type' => 'custom_taxonomy_list_by_slug',
            'heading' => __( 'Rental Category', 'listeo' ),
            'param_name' => 'tax-rental_category',
            'taxonomy' => 'rental_category',
            'description' => __( 'Show listings from a selected category.', 'listeo' )
          ), 
       array(
            'type' => 'custom_taxonomy_list_by_slug',
            'heading' => __( 'Event Category', 'listeo' ),
            'param_name' => 'tax-event_category',
            'taxonomy' => 'event_category',
            'description' => __( 'Show listings from a selected category.', 'listeo' )
          ),
      array(
          'type' => 'from_vs_indicatior',
          'heading' => esc_html__( 'From Visual Composer', 'listeo' ),
          'param_name' => 'from_vs',
          'value' => 'yes',
          'save_always' => true,
        )
      ),

));
}

      
?>